osl::eval::ml::NonPawnPieceStandTurn Class Reference

`#include <pieceStand.h>`

## Public Types

enum | { ONE_DIM = 44 , DIM = ONE_DIM * EvalStages }

## Public Member Functions

| NonPawnPieceStandTurn ()

## Static Public Member Functions

static void | setUp (const Weights &weights)
static void | eval (const NumEffectState &state, MultiIntPair &out)
template<Player P>
static void | evalWithUpdateBang (const NumEffectState &state, Move moved, MultiIntPair &last_value_and_out)

## Static Private Member Functions

static int | index (Player player, Player turn, Ptype ptype, int count)

## Static Private Attributes

static CArray< MultiInt, 44 > | table

## Detailed Description

Definition at line 96 of file eval/pieceStand.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 99 of file eval/pieceStand.h.

## Constructor & Destructor Documentation

## NonPawnPieceStandTurn()

osl::eval::ml::NonPawnPieceStandTurn::NonPawnPieceStandTurn | ( |  | ) |

inline

Definition at line 100 of file eval/pieceStand.h.

## Member Function Documentation

## eval()

void osl::eval::ml::NonPawnPieceStandTurn::eval | ( | const NumEffectState & | state,
|  | MultiIntPair & | out )

static

Definition at line 232 of file eval_pieceStand.cc.

References osl::BLACK, osl::SimpleState::countPiecesOnStand(), index(), osl::PieceStand::order, osl::PAWN, table, and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## evalWithUpdateBang()

template<osl::Player P>

template void osl::eval::ml::NonPawnPieceStandTurn::evalWithUpdateBang< WHITE > | ( | const NumEffectState & | state,
|  | Move | moved,
|  | MultiIntPair & | last_value_and_out )

static

Definition at line 260 of file eval_pieceStand.cc.

References osl::BLACK, osl::Move::capturePtype(), osl::SimpleState::countPiecesOnStand(), index(), osl::Move::isCapture(), osl::Move::isDrop(), osl::PAWN, osl::Move::player(), osl::Move::ptype(), table, osl::unpromote(), and osl::WHITE.

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::NonPawnPieceStandTurn::index | ( | Player | player,
|  | Player | turn,
|  | Ptype | ptype,
|  | int | count )

inline static private

Definition at line 109 of file eval/pieceStand.h.

References osl::Ptype_Table.

Referenced by eval(), and evalWithUpdateBang().

## setUp()

void osl::eval::ml::NonPawnPieceStandTurn::setUp | ( | const Weights & | weights | ) |

static

Definition at line 222 of file eval_pieceStand.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< osl::MultiInt, 44 > osl::eval::ml::NonPawnPieceStandTurn::table

static private

Definition at line 108 of file eval/pieceStand.h.

Referenced by eval(), evalWithUpdateBang(), and setUp().

The documentation for this class was generated from the following files:

- eval/pieceStand.h
- eval_pieceStand.cc